﻿using System;

/// <summary>
/// This is the base class for all pages where the user is required to be in HTTPS (if SSL is installed), and be a logged in customer.
/// </summary>

namespace Soveryn.Commerce.BaseClasses
{
    public partial class AuthorizedAndSSLPageBaseClass : SSLPageBaseClass
    {

        protected new void Page_PreInit(object sender, EventArgs e)
        {

            base.Page_PreInit(sender, e);

            if (!isLoggedIn)
                Response.Redirect("~/CustomerBillingUpdate.aspx", true);

        }
    }
}