﻿using System;

/// <summary>
/// All pages that inherit this base class are forced into HTTPS if the website has an SSL installed.
/// </summary>

namespace Soveryn.Commerce.BaseClasses
{

    public partial class SSLPageBaseClass : PageBaseClass
    {

        protected new void Page_PreInit(object sender, EventArgs e)
        {

            base.Page_PreInit(sender, e);

            SwitchToSecureIfSSLInstalled();
       
        }
    }

}