﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Soveryn.Commerce.Controls.EditModeToolbar"
    CodeFile="EditModeToolbar.ascx.cs" %>
<div id="cmsEditToolbar" class="cmsDashBoard">
    <div class="editButton">
        <div class="cmsButtonGroup">
            <asp:LinkButton ID="InlineModeButton" runat="server" Text="Preview mode" ValidationGroup="EditToolbarValidationGroup"
                CssClass="cmsButton cmsSmall cmsButtonBlue" OnClick="InlineModeButton_Click"></asp:LinkButton>
            <asp:LinkButton ID="DoodadModeButton" runat="server" Text="Edit mode" ValidationGroup="EditToolbarValidationGroup"
                CssClass="cmsButton cmsSmall cmsButtonBlue" OnClick="DoodadModeButton_Click"></asp:LinkButton>
            <div class="clear">
            </div>
        </div>
    </div>
    <ul class="links">
        <li><a href="https://core.soveryn.com/cms/PageMenu.aspx">Control panel</a> </li>
        <li>
            <asp:HyperLink ID="ManagePageHyperLink" NavigateUrl="javascript:void(0);" runat="server"
                ValidationGroup="EditToolbarValidationGroup">Current page settings</asp:HyperLink>
        </li>
        <li id="PageTemplatesLI" runat="server" visible="false"><a href="#">Current page templates
        </a>
            <asp:Literal ID="PageTemplatesLiteral" runat="server" />
        </li>
        <%--        <li>
            <asp:HyperLink ID="ManageDoodadsHyperLink" NavigateUrl="javascript:void(0);" runat="server"
                ValidationGroup="EditToolbarValidationGroup">Manage doodads</asp:HyperLink>
        </li>--%>
    </ul>
    <div style="display: inline-block; position: absolute; right: 0px; top: 0px;">
        <asp:LinkButton ID="RebuildCacheButton" runat="server" Text="Rebuild cache" OnClick="RebuildCacheButton_Click"
            ValidationGroup="EditToolbarValidationGroup" CssClass="rebuildCache cmsButton cmsSmall cmsButtonGrey"
            OnClientClick="$(this).text('Rebuilding...');$('#cmsEditModeShield').css('display', 'block');" />
        <asp:HyperLink ID="SavePageButton" runat="server" Visible="false" Text="Save changes"
            NavigateUrl="javascript:void(0);" ValidationGroup="EditToolbarValidationGroup"
            CssClass="save cmsButton cmsSmall cmsButtonGreen" />
        <div class="title">
            <asp:Literal ID="PageTitleLiteral" runat="server"></asp:Literal>
        </div>
        <asp:LinkButton ID="ExitButton" runat="server" OnClick="ExitButton_Click" ValidationGroup="EditToolbarValidationGroup"
            CssClass="exit">
            <img src="https://core.soveryn.com/cms/images/close_white.png" alt="" border="0" />
        </asp:LinkButton>
    </div>
</div>
<div id="cmsEditModeShield" style="position: fixed; width: 100%; height: 100%; background-color: white;
    z-index: 9999; filter: alpha(opacity=50); opacity: 0.5; display: none;">
</div>
