﻿<%@ Page Language="C#" AutoEventWireup="true"
    Inherits="Soveryn.Commerce.Pages.CustomerAccount" MasterPageFile="~/Dummy.master" Codefile="CustomerAccount.aspx.cs" %>

<asp:Content ID="PageContent" ContentPlaceHolderID="PageContentPlaceHolder" runat="server">
    <div class="orderList">
        <table width="100%">
            <tr>
                <td style="text-align: center;"><b>Order</b></td>
                <td style="text-align: center;"><b>Date</b></td>
                <td style="text-align: center;"><b>Status</b></td>
                <td style="text-align: center;"><b>Shipping</b></td>
                <td style="text-align: center;"><b>Total</b></td>
            </tr>
            <asp:Repeater ID="OrdersRepeater" runat="server" OnItemDataBound="OrdersRepeater_ItemDataBound">
                <ItemTemplate>
                    <tr class="item">
                        <td style="text-align: center;">
                            <asp:HyperLink ID="OrderEditHyperLink" runat="server" CssClass="buttonPositive" />
                        </td>
                        <td style="text-align: center;">
                            <asp:Label ID="OrderCreateDateLabel" CssClass="date" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "OrderCreateDate")%>' />
                        </td>
                        <td style="text-align: center;"><asp:Label ID="StatusLabel" runat="server" />
                        </td>
                        <td style="text-align: center;">
                            <div><asp:Label ID="ShipStateProvIDPostalAbrevLabel" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "ShipStateProvIDPostalAbrev")%>' /></div>
                            <div><asp:Label ID="ShipCountryIDPostalAbrevLabel" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "ShipCountryIDPostalAbrev")%>' /></div>
                        </td>
                        <td style="text-align: center;">
                            <asp:Label ID="GrandTotalLabel" runat="server" CssClass="price" Text='<%# DataBinder.Eval(Container.DataItem, "GrandTotal")%>' />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="1000">
                            <div class="separator"></div>
                        </td>
                    </tr>
                </ItemTemplate>
            </asp:Repeater>
        </table>
    </div>
</asp:Content>
