﻿<%@ Application Language="C#" %>
<script RunAt="server">

    void Application_Start(object sender, EventArgs e)
    {
        
        //set up routes for url rewriting
        System.Web.Routing.RouteTable.Routes.MapPageRoute("PageRoute", "{Title}/p{PageID}", "~/Page.aspx");
        System.Web.Routing.RouteTable.Routes.MapPageRoute("ItemRoute", "{Title}/i{ItemID}", "~/Item.aspx");
        System.Web.Routing.RouteTable.Routes.MapPageRoute("CartRoute", "cart", "~/Cart.aspx");
        System.Web.Routing.RouteTable.Routes.MapPageRoute("CheckoutRoute", "checkout", "~/OrderCheckoutPROC.aspx");
        System.Web.Routing.RouteTable.Routes.MapPageRoute("BlogCategoryRoute", "blog/c/{Title}/{BlogCategoryID}", "~/BlogCategory.aspx");
        System.Web.Routing.RouteTable.Routes.MapPageRoute("BlogPostRoute", "blog/{Title}/{BlogPostID}", "~/BlogPost.aspx");
        System.Web.Routing.RouteTable.Routes.MapPageRoute("BlogRoute", "blog", "~/BlogCategory.aspx");
    }

    void Application_End(object sender, EventArgs e)
    {
        //  Code that runs on application shutdown

    }

    void Application_Error(object sender, EventArgs e)
    {

        //log all errors
        Soveryn.Commerce.Shared.MiscUtils.ErrorLog(Server.GetLastError().GetBaseException(), "logged by globalasax");

    }

    void Session_Start(object sender, EventArgs e)
    {
        // Code that runs when a new session is started

    }

    void Session_End(object sender, EventArgs e)
    {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

    }
       
</script>
