﻿using System;
using Soveryn.Commerce.API;
using Soveryn.Commerce.BaseClasses;

namespace Soveryn.Commerce.Pages
{
    public partial class ClearCache : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!String.IsNullOrEmpty(Request.QueryString["EmployeeToken"]))
            {
                if (PageBaseClass.EmployeeExternalSessionValid(Request.QueryString["EmployeeToken"]))
                {

                    if (!String.IsNullOrEmpty(Request.QueryString["Folder"]))
                        CacheUtils.KillCache(Request.QueryString["Folder"]);
                    else
                        CacheUtils.ClearCache();
                    
                    Response.Write("true");
                    return;

                }
            }

            Response.Write("false");

        }
    }
}