using System;
using System.Web.UI;
using Soveryn.Commerce.BaseClasses;
using Soveryn.Commerce.API;

namespace Soveryn.Commerce.Pages
{
    public partial class OrderDetails : AuthorizedAndSSLPageBaseClass
    {

        protected new void Page_PreInit(object sender, EventArgs e)
        {
            Website = WebsiteData.WebsiteDetail();
            PageID = Website.OrderDetailsTemplatePageID.Value;
            base.Page_PreInit(sender, e);
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            if (Page.IsPostBack == false)
            {
                OrderDetailsControl.OrderID = Request.QueryString["OrderID"];
            }
        }
    }
}