using System;
using System.Web.UI;
using Soveryn.Commerce.API;
using Soveryn.Commerce.BaseClasses;

namespace Soveryn.Commerce.Pages
{
    public partial class OrderDetailsReceipt : AuthorizedAndSSLPageBaseClass
    {

        protected new void Page_PreInit(object sender, EventArgs e)
        {
            Website = WebsiteData.WebsiteDetail();
            PageID = Website.OrderReceiptTemplatePageID.Value;
            base.Page_PreInit(sender, e);
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            if (Page.IsPostBack)
                return;

            OrderDetailsControl.OrderID = Request.QueryString["OrderID"];
            OrderDetailsControl.sendCustomerReceiptEmail = true;
            OrderDetailsControl.useGoogleAnalyticsTransactionTracking = true;

        }

    }
}