using System;

/// <summary>
/// This is the base class for all controls (including doodads).
/// </summary>

namespace Soveryn.Commerce.BaseClasses
{

    public partial class ControlBaseClass : System.Web.UI.UserControl
    {

        public MasterPageBaseClass ParentMasterPage;
        public PageBaseClass ParentPage;

        protected void Page_Init(object sender, EventArgs e)
        {

            ParentMasterPage = (MasterPageBaseClass)this.Page.Master;
            ParentPage = (PageBaseClass)this.Page;

        }

    }

}