﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Dummy.master" AutoEventWireup="true"
    CodeFile="BlogCategory.aspx.cs" Inherits="Soveryn.Commerce.Pages.BlogCategory" %>

<asp:Content ID="PageContent" ContentPlaceHolderID="PageContentPlaceHolder" runat="Server">
    <div class="blogCategory">
        <h1>
            <asp:Literal ID="TitleLiteral" runat="server" /></h1>
    </div>
    <div class="blogPostList">
        <asp:Repeater ID="BlogPostRepeater" runat="server" OnItemDataBound="BlogPostRepeater_ItemDataBound">
            <ItemTemplate>
                <div class="post">
                    <div class="blogHeader">
                        <h2>
                            <asp:HyperLink ID="TitleHyperLink" runat="server" /></h2> <span class="by">by</span><span
                                class="author"><asp:Literal ID="AuthorLiteral" runat="server" /></span>
                    </div>
                    <div class="blogMeta">
                        <span class="date">
                            <asp:Literal ID="DateLiteral" runat="server" /></span>
                    </div>
                    <div class="blogImage">
                        <asp:Image ID="BlogImage" runat="server" />
                    </div>
                    <div class="blogSummary">
                        <asp:Literal ID="SummaryLiteral" runat="server" />
                    </div>
                    <asp:HyperLink ID="ReadMoreHyperLink" runat="server" CssClass="readMore" Text="Read more..." />
                </div>
            </ItemTemplate>
        </asp:Repeater>
    </div>
</asp:Content>
