﻿using System;
using System.Web;
using Soveryn.Commerce.API;
using Soveryn.Commerce.BaseClasses;
using Soveryn.Commerce.Shared;

namespace Soveryn.Commerce.Pages
{
    public partial class UploadProductFile : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            //CHECK THE FREAKING HEADERS IN WEB.CONFIG

            Response.ContentType = "text/plain";
            Response.Cache.SetAllowResponseInBrowserHistory(false);
            Response.Cache.SetCacheability(HttpCacheability.NoCache);
            Response.Cache.SetNoStore();

            if (!String.IsNullOrEmpty(Request.QueryString["EmployeeToken"]))
            {
                if (PageBaseClass.EmployeeExternalSessionValid(Request.QueryString["EmployeeToken"]))
                {

                    string file = "/App_Data/ProductFiles/" + Request.Files[0].FileName;
                    Request.Files[0].SaveAs(Server.MapPath(file));
                    Response.Write("true");
                    return;
                }
            }

            Response.Write("false");

        }

    }
}